import request from '@/utils/request'

// 查询设备台账列表
export function listDeviceLedger(query) {
  return request({
    url: '/base/deviceLedger/list',
    method: 'get',
    params: query
  })
}

// 查询设备台账详细
export function getDeviceLedger(objId) {
  return request({
    url: '/base/deviceLedger/' + objId,
    method: 'get'
  })
}

// 新增设备台账
export function addDeviceLedger(data) {
  return request({
    url: '/base/deviceLedger',
    method: 'post',
    data: data
  })
}

// 修改设备台账
export function updateDeviceLedger(data) {
  return request({
    url: '/base/deviceLedger',
    method: 'put',
    data: data
  })
}

// 删除设备台账
export function delDeviceLedger(objId) {
  return request({
    url: '/base/deviceLedger/' + objId,
    method: 'delete'
  })
}
